Folder Class Reference

Folder for the project explorer. More...

`#include <Folder.h>`

Inheritance diagram for Folder:

## Public Member Functions

MdiSubWindow * | activeWindow ()
void | addWindow (MdiSubWindow *w)
void | appendLogInfo (const QString &text)
QString | birthDate ()
void | clearLogInfo ()
int | depth ()
| The depth of the folder in the project tree. More...
Folder * | findSubfolder (const QString &s, bool caseSensitive=true, bool partialMatch=false)
| Pointer to the subfolder called s. More...
MdiSubWindow * | findWindow (const QString &s, bool windowNames, bool labels, bool caseSensitive, bool partialMatch)
| Pointer to the first window matching the search criteria. More...
| Folder (Folder *parent, const QString &name)
Folder * | folderBelow ()
FolderListItem * | folderListItem ()
| Pointer to the corresponding QListViewItem in the main application. More...
QList< Folder * > | folders ()
| The list of subfolders. More...
MultiLayer * | graph (const QString &name, bool recursive=false)
| Return graph named name or NULL. More...
QString | logInfo ()
Matrix * | matrix (const QString &name, bool recursive=false)
| Return matrix named name or NULL. More...
QString | modificationDate ()
Note * | note (const QString &name, bool recursive=false)
| Return note named name or NULL. More...
QString | path ()
| The complete path of the folder in the project tree. More...
Graph3D * | plot3D (const QString &name, bool recursive=false)
| Return plot 3D named name or NULL. More...
void | removeWindow (MdiSubWindow *w)
Folder * | rootFolder ()
| The root of the hierarchy this folder belongs to. More...
void | setActiveWindow (MdiSubWindow *w)
void | setBirthDate (const QString &s)
void | setFolderListItem (FolderListItem *it)
void | setModificationDate (const QString &s)
QString | sizeToString ()
| Size of the folder as a string. More...
QStringList | subfolders ()
| The list of subfolder names, including first generation children only. More...
Table * | table (const QString &name, bool recursive=false)
| Return table named name or NULL. More...
MdiSubWindow * | window (const QString &name, const char *cls="MdiSubWindow", bool recursive=false)
| get a window by name More...
QList< MdiSubWindow * > | windowsList ()

## Protected Attributes

QString | birthdate
MdiSubWindow * | d_active_window
| Pointer to the active window in the folder. More...
QString | d_log_info
QList< MdiSubWindow * > | lstWindows
QString | modifDate
FolderListItem * | myFolderListItem

## Detailed Description

Folder for the project explorer.

## Constructor & Destructor Documentation

Folder::Folder | ( | Folder * | parent,
|  | const QString & | name
| ) |  |

References birthdate.

## Member Function Documentation

MdiSubWindow* Folder::activeWindow | ( |  | ) |

inline

References d_active_window.

Referenced by ApplicationWindow::activeWindow(), ApplicationWindow::changeFolder(), ApplicationWindow::windowGeometryInfo(), and ApplicationWindow::windowsMenuAboutToShow().

void Folder::addWindow | ( | MdiSubWindow * | w | ) |

References d_active_window, lstWindows, and MdiSubWindow::setFolder().

Referenced by ApplicationWindow::copyFolder(), ApplicationWindow::dropFolderItems(), and MdiSubWindow::MdiSubWindow().

void Folder::appendLogInfo | ( | const QString & | text | ) |

inline

References d_log_info.

Referenced by ApplicationWindow::integrate(), ApplicationWindow::matrixDeterminant(), ApplicationWindow::openProject(), PlotDialog::showBoxStatistics(), ApplicationWindow::showResults(), PlotDialog::showStatistics(), and ApplicationWindow::updateLog().

QString Folder::birthDate | ( |  | ) |

inline

References birthdate.

Referenced by ApplicationWindow::addFolderListViewItem(), ApplicationWindow::copyFolder(), ApplicationWindow::folderProperties(), ApplicationWindow::projectProperties(), and ApplicationWindow::saveFolder().

void Folder::clearLogInfo | ( |  | ) |

inline

Referenced by ApplicationWindow::clearLogInfo().

int Folder::depth | ( |  | ) |

The depth of the folder in the project tree.

Referenced by ApplicationWindow::changeFolder(), ApplicationWindow::closeProject(), ApplicationWindow::copyFolder(), ApplicationWindow::deleteFolder(), ApplicationWindow::hideFolderWindows(), ApplicationWindow::saveFolder(), and CurvesDialog::showCurrentFolder().

Folder * Folder::findSubfolder | ( | const QString & | s,
|  | bool | caseSensitive = `true`,
|  | bool | partialMatch = `false`
| ) |  |

Pointer to the subfolder called s.

References findSubfolder().

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::find(), findSubfolder(), and ApplicationWindow::openProject().

MdiSubWindow * Folder::findWindow | ( | const QString & | s,
|  | bool | windowNames,
|  | bool | labels,
|  | bool | caseSensitive,
|  | bool | partialMatch
| ) |  |

Pointer to the first window matching the search criteria.

References lstWindows, and MdiSubWindow::windowLabel().

Referenced by ApplicationWindow::find().

Folder * Folder::folderBelow | ( |  | ) |

References folders().

Referenced by ApplicationWindow::addWindowsListToCompleter(), ApplicationWindow::alreadyUsedName(), ApplicationWindow::changeFolder(), ApplicationWindow::closeProject(), ApplicationWindow::copyFolder(), ApplicationWindow::deleteFolder(), ApplicationWindow::enableCompletion(), ApplicationWindow::foldersMenuActivated(), ApplicationWindow::generateUniqueName(), ApplicationWindow::hasTable(), ApplicationWindow::hideFolderWindows(), ApplicationWindow::matrix(), ApplicationWindow::matrixNames(), ApplicationWindow::projectHas2DPlots(), ApplicationWindow::savedProject(), ApplicationWindow::saveFolder(), ApplicationWindow::setAutoUpdateTableValues(), ApplicationWindow::setMatrixUndoStackSize(), CurvesDialog::showCurrentFolder(), ApplicationWindow::table(), ApplicationWindow::tableList(), ApplicationWindow::tableNames(), ApplicationWindow::windowsList(), ApplicationWindow::windowsMenuAboutToShow(), and ApplicationWindow::windowsNameList().

FolderListItem* Folder::folderListItem | ( |  | ) |

inline

Pointer to the corresponding QListViewItem in the main application.

References myFolderListItem.

Referenced by ApplicationWindow::addFolder(), ApplicationWindow::appendProject(), ApplicationWindow::changeFolder(), ApplicationWindow::closeProject(), ApplicationWindow::closeWindow(), ApplicationWindow::copyFolder(), ApplicationWindow::deleteFolder(), ApplicationWindow::dropFolderItems(), ApplicationWindow::find(), ApplicationWindow::folderItemDoubleClicked(), ApplicationWindow::hideAllFolderWindows(), ApplicationWindow::openProject(), ApplicationWindow::renameFolder(), ApplicationWindow::saveFolder(), ApplicationWindow::showAllFolderWindows(), and ApplicationWindow::startRenameFolder().

QList< Folder * > Folder::folders | ( |  | ) |

The list of subfolders.

Referenced by folderBelow().

MultiLayer* Folder::graph | ( | const QString & | name,
|  | bool | recursive = `false`
| ) |  |

inline

Return graph named name or NULL.

References window().

QString Folder::logInfo | ( |  | ) |

inline

References d_log_info.

Referenced by ApplicationWindow::changeFolder(), ApplicationWindow::clearLogInfo(), ApplicationWindow::saveFolder(), and ApplicationWindow::showResults().

Matrix* Folder::matrix | ( | const QString & | name,
|  | bool | recursive = `false`
| ) |  |

inline

Return matrix named name or NULL.

References window().

QString Folder::modificationDate | ( |  | ) |

inline

References modifDate.

Referenced by ApplicationWindow::copyFolder(), and ApplicationWindow::saveFolder().

Note* Folder::note | ( | const QString & | name,
|  | bool | recursive = `false`
| ) |  |

inline

Return note named name or NULL.

References window().

QString Folder::path | ( |  | ) |

The complete path of the folder in the project tree.

Referenced by ApplicationWindow::folderProperties(), FindDialog::setStartPath(), ApplicationWindow::windowProperties(), and ApplicationWindow::windowsMenuAboutToShow().

Graph3D* Folder::plot3D | ( | const QString & | name,
|  | bool | recursive = `false`
| ) |  |

inline

Return plot 3D named name or NULL.

References window().

void Folder::removeWindow | ( | MdiSubWindow * | w | ) |

References d_active_window, and lstWindows.

Referenced by ApplicationWindow::closeProject(), ApplicationWindow::closeWindow(), ApplicationWindow::deleteFolder(), and ApplicationWindow::dropFolderItems().

Folder * Folder::rootFolder | ( |  | ) |

The root of the hierarchy this folder belongs to.

void Folder::setActiveWindow | ( | MdiSubWindow * | w | ) |

inline

References d_active_window.

Referenced by ApplicationWindow::changeFolder(), ApplicationWindow::dropFolderItems(), MdiSubWindow::eventFilter(), ApplicationWindow::restoreWindowGeometry(), MdiSubWindow::setMaximized(), and ApplicationWindow::windowActivated().

void Folder::setBirthDate | ( | const QString & | s | ) |

inline

References birthdate.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::copyFolder(), and ApplicationWindow::openProject().

void Folder::setFolderListItem | ( | FolderListItem * | it | ) |

inline

References myFolderListItem.

Referenced by ApplicationWindow::addFolder(), ApplicationWindow::appendProject(), ApplicationWindow::copyFolder(), ApplicationWindow::init(), and ApplicationWindow::openProject().

void Folder::setModificationDate | ( | const QString & | s | ) |

inline

References modifDate.

Referenced by ApplicationWindow::appendProject(), ApplicationWindow::copyFolder(), and ApplicationWindow::openProject().

QString Folder::sizeToString | ( |  | ) |

Size of the folder as a string.

References lstWindows.

Referenced by ApplicationWindow::folderProperties().

QStringList Folder::subfolders | ( |  | ) |

The list of subfolder names, including first generation children only.

Referenced by ApplicationWindow::addFolder(), ApplicationWindow::appendProject(), ApplicationWindow::copyFolder(), ApplicationWindow::dropFolderItems(), ApplicationWindow::folderProperties(), ApplicationWindow::projectProperties(), and ApplicationWindow::renameFolder().

Table* Folder::table | ( | const QString & | name,
|  | bool | recursive = `false`
| ) |  |

inline

Return table named name or NULL.

References window().

MdiSubWindow * Folder::window | ( | const QString & | name,
|  | const char * | cls = `"MdiSubWindow"`,
|  | bool | recursive = `false`
| ) |  |

get a window by name

Returns the first window with given name that inherits class cls; NULL on failure. If recursive is true, do a depth-first recursive search.

References lstWindows.

Referenced by graph(), matrix(), note(), plot3D(), and table().

QList<MdiSubWindow *> Folder::windowsList | ( |  | ) |

inline

References lstWindows.

Referenced by ApplicationWindow::activeWindow(), CurvesDialog::addFolderItems(), ApplicationWindow::addWindowsListToCompleter(), ApplicationWindow::alreadyUsedName(), ApplicationWindow::changeFolder(), ApplicationWindow::closeProject(), ApplicationWindow::closeWindow(), ApplicationWindow::copyFolder(), ApplicationWindow::deleteFolder(), ApplicationWindow::enableCompletion(), ApplicationWindow::executeNotes(), ApplicationWindow::folderProperties(), ApplicationWindow::generateUniqueName(), ApplicationWindow::hasTable(), ApplicationWindow::hideAllFolderWindows(), ApplicationWindow::hideFolderWindows(), ApplicationWindow::matrix(), ApplicationWindow::matrixNames(), ApplicationWindow::maximizeWindow(), ApplicationWindow::projectHas2DPlots(), ApplicationWindow::savedProject(), ApplicationWindow::saveFolder(), ApplicationWindow::setAutoUpdateTableValues(), SubtractDataDialog::setCurrentFolder(), ApplicationWindow::setMatrixUndoStackSize(), ApplicationWindow::showAllFolderWindows(), AnovaDialog::showCurrentFolder(), ApplicationWindow::table(), ApplicationWindow::tableList(), ApplicationWindow::tableNames(), ApplicationWindow::updateWindowStatus(), ApplicationWindow::windowsList(), ApplicationWindow::windowsMenuAboutToShow(), ApplicationWindow::windowsMenuActivated(), and ApplicationWindow::windowsNameList().

## Member Data Documentation

QString Folder::birthdate

protected

Referenced by birthDate(), Folder(), and setBirthDate().

MdiSubWindow* Folder::d_active_window

protected

Pointer to the active window in the folder.

Referenced by activeWindow(), addWindow(), removeWindow(), and setActiveWindow().

QString Folder::d_log_info

protected

Referenced by appendLogInfo(), and logInfo().

QList<MdiSubWindow *> Folder::lstWindows

protected

Referenced by addWindow(), findWindow(), removeWindow(), sizeToString(), window(), and windowsList().

QString Folder::modifDate

protected

Referenced by modificationDate(), and setModificationDate().

FolderListItem* Folder::myFolderListItem

protected

Referenced by folderListItem(), and setFolderListItem().

The documentation for this class was generated from the following files:

- qtiplot/src/core/Folder.h
- qtiplot/src/core/Folder.cpp